PRO def_file_name, cmd, ncdf_db, file_name, delta_t1

; define file name following
; <expid>_<timeave>_<date1>_<date2>[_<spec>]_<grid> convention

@common
@com_eg

; define date1 and date2

   timavef = cmd.timave
   date1 = cmd.date1

   suffix = '_'+mesh_type2+suff_domain+file_suff_var 

   base_suffix = '_'+mesh_type2

   f_suffix = suffix

   IF debug_w THEN print, ' suffix before serch_time_file', suffix

   CASE strmid(cmd.plt, 0, 2) OF
      'xt': search_time_file, cmd, ncdf_db, suffix, date1, date2, delta_t1, timavef
      'yt': search_time_file, cmd, ncdf_db, suffix, date1, date2, delta_t1, timavef
      'zt': search_time_file, cmd, ncdf_db, suffix, date1, date2, delta_t1, timavef
      't_': search_time_file, cmd, ncdf_db, suffix, date1, date2, delta_t1, timavef
      ELSE: BEGIN
         CASE strmid(cmd.plt, 0, 3) OF 
             'xyt': search_time_file, cmd, ncdf_db, suffix, date1, date2, delta_t1, timavef
             ELSE: BEGIN  
                 cmdspec_b = cmd.spec
                 cmd.spec = cmd.date1
                 search_time_file, cmd, ncdf_db, suffix, date1, date2, delta_t1, timavef
                 cmd.spec = cmdspec_b 
             END  
         ENDCASE  
      END  
   ENDCASE 
   IF debug_w THEN print, ' suffix after search_time_file', suffix
   
   file_name = cmd.exp+'_'+timavef+'_'+date1+'_'+date2+suffix+'.nc'
   base_file_name = cmd.exp+'_'+timavef+'_'+date1+'_'+date2
   
   IF debug_w THEN print,  ' vargrid : ',  vargrid
   IF debug_w THEN print,  ' file_name in def_file_name ',file_name 
END 
