FUNCTION decode_cmd, cmdline, index

@common
@com_eg

; decode command line of post-it

   cmd = {var:'', on: 0, exp:'', grid:'',plt:'', timave:'', date1:'', spec:'',$
          disp:'', proj:'', out:'', var2:'', trend:''}

   line = strcompress(strtrim(cmdline[index], 2))
   argvar = str_sep(line, ' ')
   cmd.var    = argvar[0]
   cmd.on     = argvar[1]
   cmd.exp    = argvar[2]
   cmd.grid   = argvar[3]
   cmd.plt    = argvar[4]
   cmd.timave = argvar[5]
   cmd.date1  = argvar[6]
   cmd.spec   = argvar[7]
   cmd.disp   = argvar[8]
   cmd.proj   = argvar[9]
   cmd.out    = argvar[10]
   
   cmd.var2 = '-'

; trend type

   cmd.trend = trend_typ
   IF strpos(cmd.timave, '@') GT 1 THEN BEGIN
      letter = strmid(cmd.timave, strpos(cmd.timave, '@')+1,1) 
      CASE letter OF
         't': BEGIN 
            cmd.trend = strmid(cmd.timave, strpos(cmd.timave, '@t')+2, strlen(cmd.timave)-strpos(cmd.timave, '@t')-2)
            cmd.timave = strmid(cmd.timave,0, strpos(cmd.timave, '@t'))
         END
         ELSE: BEGIN
            print,  ' **** unknown letter after @ in cmd.timave (try t):', letter
         END
      ENDCASE 
   ENDIF 
      
   
   return, cmd
END 
