;
; make mean vertical velocity
;
FUNCTION make_vem300, file_name, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ZMTYP = zmtyp

@common
@com_eg
;
;
; Read W 
;
   file_nam = strmid(file_name, 0, strlen(file_name)-4)
   vargrid = 'W'
   old_boite = [lon1, lon2, lat1, lat2, prof1, prof2]
   domdef
   wvel = nc_read(file_nam+'W.nc','vovecrtz', ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2)

   vem300 = moyenne(wvel.data,'z', boite = [0, 300])

   domdef, old_boite

   field = {name: '', data: vem300, legend: '', units: '', origin: '', dim: 0}
   
   field.origin = wvel.origin
   field.dim = wvel.dim - 1

   return, field
END 
