PRO mesh_micom, I_INDEX = i_index, DELTA_I = delta_i, J_INDEX = j_index, DELTA_J = delta_j, K_INDEX = k_index, DELTA_K = delta_k, ZONAL =  zonal, NO_SHIFT = no_shift, WHOLE_ARRAYS = whole_arrays, H_CONFIG = h_config, V_CONFIG = V_config 

@common
@com_eg
;

   print, '    Init MICOM mesh horizontal config '
   h_config = 'BCM'
   v_config = 'NONE'

;----------------------------------------------------------
; bornes de la grille
;----------------------------------------------------------

   jpi =  163
   jpj =  150
   jpk =  0


 ;  IF keyword_set(WHOLE_ARRAYS) THEN BEGIN
 ;     ixminmesh  =0 & ixmaxmesh  = jpi - 1
 ;     iyminmesh  =0 & iymaxmesh  = jpj - 1
 ;  ENDIF ELSE BEGIN   
 ;     ixminmesh  =2 & ixmaxmesh  = jpi - 1
 ;     iyminmesh  =0 & iymaxmesh  = jpj - 1
 ;  ENDELSE  
   
   izminmesh  = jpk
   izmaxmesh  = jpk

;
; init shift and periodicity

   IF keyword_set(NO_SHIFT) THEN key_shift = 0

   no_lon_shift = 0

   key_periodique = 1

; reduce grid in latitude ?

   IF keyword_set(J_INDEX) THEN BEGIN

      IF NOT keyword_set(DELTA_J) THEN delta_j = 1
      delta_j = delta_j - 1

      iyminmesh = j_index
      iymaxmesh = j_index+delta_j

      print, '      set MICOM grid to j_index in ', j_index, j_index+delta_j
;; a garder ??
      iymindta = iyminmesh
;;
   ENDIF

; reduce grid in longitude ?

   IF keyword_set(I_INDEX) THEN BEGIN

      no_lon_shift = no_lon_shift + 1

      IF NOT keyword_set(DELTA_I) THEN delta_i = 1
      delta_i = delta_i - 1

      ixminmesh  = i_index
      ixmaxmesh  = i_index+delta_i

      print, '      set MICOM grid to i_index in ', i_index, i_index+delta_i
;; a garder ??
      ixmindta = ixminmesh
;;
      key_periodique = 0
      key_offset = [0, 0, 0]
      diaznl_idx = 0
      key_shift = 0
   ENDIF

; reduce grid in depth ? later

;
;------------------------------------------------------
; lecture de la grille
;------------------------------------------------------

   key_yreverse = 0
   
   mesmsk = 'meshmask_MICOM.nc'
   IF whole_arrays EQ 0 THEN BEGIN 
      ncdf_meshmicom, hom_idl+'grids/'+mesmsk, glamboundary = glamboundary_box, onearth = onearth
   ENDIF ELSE BEGIN 
      ncdf_meshmicom, hom_idl+'grids/'+mesmsk, onearth = onearth
   ENDELSE 

   IF keyword_set(WHOLE_ARRAYS) THEN print, '                         [whole array]'

   IF no_lon_shift EQ 0 THEN BEGIN
      key_offset = [0, 0, 0]
   ENDIF
                 
   IF keyword_set(NO_SHIFT) THEN key_offset = [0, 0, 0]

   print, '     key_shift =', key_shift
   print, '     key_offset =', key_offset

   print,  'End of Micom mesh config '

; reduce grid to zonal mean (later)


END
