;+
;;
;; Calcul de la moyenne verticale
;;
;; Creation : printemps 1998 / G. Roullet
;;            reecriture : 15/01/99
;;
;-
FUNCTION moyz, z, MSK = MSK, INT = int
@common
   
   tt = tmask

   IF n_elements(msk) EQ 0 THEN msk = 0

   CASE (size(msk))[0] OF
      0 : tt = tt
      1 : tt = tt*(replicate(1, jpi*jpj)#msk)
      2 : tt = tt*(msk(*)#replicate(1, jpk))
      3 : tt = tt*msk
   ENDCASE 
   
   height    = reform( replicate(1, jpi*jpj)#e3t, jpi, jpj, jpk)*tt
;   IF s_exp EQ 'GF1' THEN height(*, *, 0) = height(*, *, 0)+ssh
   totz      = total( z*height, 3)
   totheight = total( height, 3)

   moy = totz
   
   IF n_elements(int) EQ 0 THEN BEGIN 
      ind = where(totheight NE 0)
      moy(ind) = totz(ind) / totheight(ind)
   ENDIF 

   return, moy

END
   
