PRO correl

@common
@com_eg

;; command lines
cmdline2 = [ $
; var    on   exp grid  plt  timave  date1   spec  disp   proj   out

; Correlation

; Donnees

  'sosstsst_sst_nino_3_cor    0   HadISST1   T   xy  1m  187001  187001    1    1o1    v', $
  'sosstsst_sst_nino_3_prob   0   HadISST1   T   xy  1m  187001  187001    1    1    v', $ 

  'uflx_sst_nino_3_cor    0   NCEP   ncpt62   xy  1m  194801  194801  1    1o1    ps', $
  'uflx_sst_nino_3_prob   0   NCEP   ncpt62   xy  1m  194801  194801  1    1    v', $ 

  'vflx_sst_nino_3_cor    0   NCEP   ncpt62   xy  1m  194801  194801  1    1o1    ps', $
  'vflx_sst_nino_3_prob   0   NCEP   ncpt62   xy  1m  194801  194801  1    1    v', $ 

  'precip_sst_nino_3_cor    0   NCEP   ncpt62   xy  1m  194801  194801  1    1o1    ps', $
  'precip_sst_nino_3_prob   0   NCEP   ncpt62   xy  1m  194801  194801  1    1    v', $

  'topl_sst_nino_3_cor    0   NCEP   reg2.5   xy  1m  197901  197901  1    1o1    ps', $
  'topl_sst_nino_3_prob   0   NCEP   reg2.5   xy  1m  197901  197901  1    1    v', $ 

  'sozotaux_sst_nino_3_cor    0   ERA40   ert106   xy  1m  195801  195801  1    1o1    ps', $
  'sozotaux_sst_nino_3_prob   0   ERA40   ert106   xy  1m  195801  195801  1    1    v', $

  'sometauy_sst_nino_3_cor    0   ERA40   ert106   xy  1m  195801  195801  1    1o1    ps', $
  'sometauy_sst_nino_3_prob   0   ERA40   ert106   xy  1m  195801  195801  1    1    v', $

  'precip_sst_nino_3_cor    0   ERA40   ert106   xy  1m  195801  195801  1    1o1    ps', $
  'precip_sst_nino_3_prob   0   ERA40   ert106   xy  1m  195801  195801  1    1    v', $ 

  'topl_sst_nino_3_cor    0   ERA40   ert106   xy  1m  197001  197001  1    1o1    ps', $
  'topl_sst_nino_3_prob   0   ERA40   ert106   xy  1m  197001  197001  1    1    v', $

  'pcp_sst_nino_3_cor    0   CMAP   reg2.5   xy  1m  197901  197901  1    1o1    ps', $
  'pcp_sst_nino_3_prob   0   CMAP   reg2.5   xy  1m  197901  197901  1    1    v', $ 


; 2L24

  'sosstsst_sst_nino_3_cor    0   2L24   T   xy  1m  186001  186001    1    1o1    ps', $
  'sosstsst_sst_nino_3_prob   0   2L24   T   xy  1m  186001  186001    1    1    v', $ 

  'sozotaux_sst_nino_3_cor    0   2L24   U   xy  1m  186001  186001    1    1o1    ps', $
  'sozotaux_sst_nino_3_prob   0   2L24   U   xy  1m  186001  186001    1    1    v', $ 

  'sometauy_sst_nino_3_cor    0   2L24   V   xy  1m  186001  186001    1    1o1    ps', $
  'sometauy_sst_nino_3_prob   0   2L24   V   xy  1m  186001  186001    1    1    v', $

  'precip_sst_nino_3_cor    0   2L24   lmdzl   xy  1m  186001  186001    1    1o1    ps', $
  'precip_sst_nino_3_prob   0   2L24   lmdzl   xy  1m  186001  186001    1    1    v', $ 

  'topl_sst_nino_3_cor    0   2L24   lmdzl   xy  1m  186001  186001    1    1o1    ps', $
  'topl_sst_nino_3_prob   0   2L24   lmdzl   xy  1m  186001  186001    1    1    v', $ 

'lastline 0' ]
;
; Usage of command line fields
; ----------------------------
;
; field : <name> of field
;         @@<name> for macro defined in config/fld_macros.def
;         <name1>=f(<name2>) for scatter plot y=f(x) or
;         <name1>=f(next) to use next line as 'x' (uses time interval of name1) 
;         <name>@s<sigma> to plot <name> on isopycnal <sigma>
;
; on    : 0/1 (2 = empty window in multi-window plot)
;
; exp   : name of exp. For difference of 2 exp : <exp1>-<exp2>
;
; grid  : grid name or @<grid> to read grid from data file
;
; plt   : xy, xz, yz, x, y, z [append _<box> or _#<bathy>]
;        {xt, yt, zt, t}_<box>[@f<direc><width>][@s][@z]
;           <box> : defined in Default/hovmoel_box.def
;           <bathy> : first letters of bathymetry file in POST_IT/grids
;           <direc> : t,x,y,z = filtering/smoothing direction (default: t)
;           <width> : running mean filter width (default = 1) 
;                     grid point smoothing for space
;           @s      : spectrum of time serie
;           @w      : wavelet of time serie
;           @z      : remove zonal mean (eddy field) from 2D field (xy
;                     plot only)
;        density bining plots : xs, ys, s [append _<box> or _#<bathy>]
;                               st_<box>[@f<direc><width>][@s]
;        statistics : @@<variable> 2D plot: plt=xyt
;
; timeave : <n>[m]<timeave>[@t<trend>]
;            n: integer, timeave: of d(ay),m(onth),y(ear)
;           [m] stands for mean <timeave>
;               -> requires spec for date interval (of mean):
;               [date_i]-[date_f]
;           <trend> : time serie trend type (default = 0, in this
;           case, use @t9 to
;           activate data output writing - out=data)
;           @t412: remove mean SC
;           @t41: remove mean of time serie
;
; date1 : [yy..yyy][mm][dd]-[sssss][_<ave_period>]
;         <ave_period> for mean <timeave> : date interval <date_i>-<date_f>
; spec  : time serie : date2
;         difference : d:<exp>/<timeave>/<date1>[/<spec2>]
; disp  : multi-window display n[x<m>][<orient>]  <orient> = P  (L is default)
; proj  : <proj_number>
;         1 : mercator
;
;         append [o[nover]] for nover overlays (default nover=1)
;
; out   : v (view), tv (tvnplot), ps[prt] PostScript, data (ascii,
;         requires timeave + @t9) or cdf (netCDF file)
;                  prt = b : BW printer
;                  prt = c : color printer
;                  prt = t : transparent printer
;              to save postcript activate save_ps in plt_def
;
; ====================================================================
;   Eric Guilyardi - LODYC (c) 1999/2000 and CGAM (c) 2000/2001
;
END 
